Bug 1116389 - dnf copr enable - 404 for repo without builds
dnf copr enable - 404 for repo without builds
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dnf-plugins-core (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Samalik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-04 08:25 EDT by Branislav Blaškovič
Modified: 2014-07-29 03:18 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-29 03:18:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Branislav Blaškovič 2014-07-04 08:25:27 EDT
Description of problem:
  If copr repo does not have builds - .repo file does not exists which is correctly described on web page:
    "Repository not initialized: No finished builds in blaskovic/bde."

  If you would like to enable this repo via dnf copr enable, it throws error:
    Error: [Errno 14] HTTPS Error 404 - Not Found

This could be confusing


Version-Release number of selected component (if applicable):
dnf-plugins-core-0.1.0-2.fc20.noarch
dnf-0.5.2-1.fc20.noarch

Steps to Reproduce:
1. dnf search something
    You get results, so the copr-project exists!
2. dnf enable something

Actual results:
Do you want to continue? [y/N]: y
Error: [Errno 14] HTTPS Error 404 - Not Found

Expected results:
Do you want to continue? [y/N]: y
This repository does not have builds yet so you cannot enable this repository.
Comment 1 Adam Samalik 2014-07-08 11:00:20 EDT
I just sent a patch with fix to packaging-team-maint@redhat.com
Comment 2 Miroslav Suchý 2014-07-14 06:53:27 EDT
Commited as dc116e4.

Note You need to log in before you can comment on or make changes to this bug.